GET
/functions/{function_id}/envAuthorization
bearerAuth AuthorizationBearer <token>
Your Maton API key, sent as Authorization: Bearer <MATON_API_KEY>. Create one at https://maton.ai/settings.
In: header
Path Parameters
function_id*string
The function's unique identifier.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET \ "https://api.maton.ai/functions/{function_id}/env" \ -H "Authorization: Bearer $MATON_API_KEY"{
"env": [
{
"key": "GREETING",
"type": "PLAIN",
"value": "hi",
"created_at": "2026-08-20T18:11:04.512331Z",
"updated_at": "2026-08-20T18:11:04.512331Z"
},
{
"key": "STRIPE_SECRET_KEY",
"type": "SENSITIVE",
"created_at": "2026-08-20T18:12:44.109820Z",
"updated_at": "2026-08-20T18:12:44.109820Z"
}
]
}{
"message": "Invalid API key.",
"type": "Unauthorized",
"code": 401
}{
"message": "Resource not found.",
"type": "Not Found",
"code": 404
}{
"message": "Too many requests.",
"type": "Too Many Requests",
"code": 429
}{
"message": "Internal server error.",
"type": "Internal Server Error",
"code": 500
}